SDL_PinchFingerEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

SDL_EventType | type
Uint32 | reserved
Uint64 | timestamp
float | scale
SDL_WindowID | windowID

## Detailed Description

Pinch event structure (event.pinch.*)

Definition at line 799 of file SDL_events.h.

## Field Documentation

## reserved

Uint32 SDL_PinchFingerEvent::reserved

Definition at line 802 of file SDL_events.h.

## scale

float SDL_PinchFingerEvent::scale

The scale change since the last SDL_EVENT_PINCH_UPDATE. Scale < 1 is "zoom out". Scale > 1 is "zoom in".

Definition at line 804 of file SDL_events.h.

## timestamp

Uint64 SDL_PinchFingerEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 803 of file SDL_events.h.

## type

SDL_EventType SDL_PinchFingerEvent::type

SDL_EVENT_PINCH_BEGIN or SDL_EVENT_PINCH_UPDATE or SDL_EVENT_PINCH_END

Definition at line 801 of file SDL_events.h.

## windowID

SDL_WindowID SDL_PinchFingerEvent::windowID

The window underneath the finger, if any

Definition at line 805 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h